"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMainnetLpTokens = exports.getMainnetTokens = void 0;
const raydium_sdk_1 = require("@raydium-io/raydium-sdk");
function getMainnetTokens() {
    var tokens = [];
    for (const [, splInfo] of Object.entries(raydium_sdk_1.MAINNET_SPL_TOKENS)) {
        const tokenInfo = {
            value: splInfo.symbol,
            label: splInfo.symbol,
            logo: `https://sdk.raydium.io/icons/${splInfo.mint}.png`,
            mint: splInfo.mint,
            decimals: splInfo.decimals
        };
        tokens.push(tokenInfo);
    }
    return tokens;
}
exports.getMainnetTokens = getMainnetTokens;
function getMainnetLpTokens() {
    var lpTokens = [];
    for (const [, lpInfo] of Object.entries(raydium_sdk_1.MAINNET_LP_TOKENS)) {
        const lpTokenInfo = {
            value: lpInfo.symbol,
            label: lpInfo.symbol,
            baseLogoUrl: `https://sdk.raydium.io/icons/${lpInfo.base.mint}.png`,
            quoteLogoUrl: `https://sdk.raydium.io/icons/${lpInfo.quote.mint}.png`,
            baseMint: lpInfo.base.mint,
            quoteMint: lpInfo.quote.mint,
            lpTokenMint: lpInfo.mint,
            decimals: lpInfo.decimals
        };
        lpTokens.push(lpTokenInfo);
    }
    return lpTokens;
}
exports.getMainnetLpTokens = getMainnetLpTokens;
